#ifndef WIDGET_H_
#define WIDGET_H_

/** Encapsulates the GtkWidget object
*/
class Widget {
protected:
    GtkWidget *widget; ///< The container based widget
public:
    virtual ~Widget() {} ///< Destructor

    /** Add a reference to the widget
    */
    GtkWidget *ref(void) {
        return gtk_widget_ref(widget);
    }

    /** Remove a reference from the widget
    */
    void unref(void) {
        gtk_widget_unref(widget);
    }
};

#endif // WIDGET_H_
